Skip to main content
PATCH
/
articles
/
{id}
Update an article
curl --request PATCH \
  --url https://api.awardee.dev/v1/articles/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "slug": "<string>",
  "content": "<string>",
  "knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "published_at": "2023-11-07T05:31:56Z"
}
'
{
  "object": "<string>",
  "id": "8f3a9d2e-1b4c-4f5d-9e8a-7c3b2a1d0f9e",
  "knowledge_base_id": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e",
  "category_id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "title": "Refund policy",
  "slug": "refund-policy",
  "content": "<p>Refunds are available within 30 days …</p>",
  "content_plain": "<string>",
  "language": "en",
  "indexed_at": "2026-05-23T10:00:00.000Z",
  "published_at": "2026-05-23T10:00:00.000Z",
  "created_at": "2026-05-23T09:30:00.000Z",
  "updated_at": "2026-05-23T10:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Path Parameters

id
string<uuid>
required

Body

application/json
title
string
Minimum string length: 1
slug
string
Required string length: 1 - 200
Pattern: ^[a-z0-9-]+$
content
string
knowledge_base_id
string<uuid>
category_id
string<uuid> | null
status
enum<string>
Available options:
draft,
unpublished,
published,
archived
visibility
enum<string>
Available options:
public,
internal,
chatbot_only
language
enum<string>
Available options:
en,
ja,
de,
fr,
ko,
zh,
nl,
sv,
es,
it,
no
published_at
string<date-time> | null
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$

Response

Updated article

object
string
required
Allowed value: "article"
id
string<uuid>
required
Example:

"8f3a9d2e-1b4c-4f5d-9e8a-7c3b2a1d0f9e"

knowledge_base_id
string<uuid> | null
required
Example:

"b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e"

category_id
string<uuid> | null
required
Example:

"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"

title
string
required
Example:

"Refund policy"

slug
string
required
Example:

"refund-policy"

content
string
required
Example:

"<p>Refunds are available within 30 days …</p>"

content_plain
string | null
required
status
enum<string>
required
Available options:
draft,
unpublished,
published,
archived
visibility
enum<string>
required
Available options:
public,
internal,
chatbot_only
language
string
required
Example:

"en"

indexing_status
enum<string>
required
Available options:
not_started,
pending,
processing,
indexed,
failed
indexed_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-05-23T10:00:00.000Z"

published_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-05-23T10:00:00.000Z"

created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-05-23T09:30:00.000Z"

updated_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2026-05-23T10:00:00.000Z"